PHATCH(1)

NAME
Phatch - Photo Batch Processor

DESCRIPTION
Phatch is a simple photo batch processor. It handles all popular image formats and can duplicate (sub)folder hierarchies. It can also batch resize, rotate, rename, ... and more in minutes instead of hours or days if you do it manually.

SYNOPSIS

Phatch [actionlist]

Phatch [options] [actionlist] [image folders/files/urls]

Phatch --inspect [image files/urls]

Phatch --droplet [actionlist/recent] [image files/urls]

OPTIONS

--version
    Show program's version number and exit.

-h, --help
    Show the command line options which are accepted by Phatch

-c, --console
    Run Phatch as console program without a gui

-d, --droplet
    Run Phatch as a gui droplet

--desktop
    Save always on desktop

-f, --force
    Ignore errors

--fonts
    Initialize fonts (only for installation scripts)

-i, --interactive
    Interactive

-k, --keep
    Keep existing images (don't overwrite)

-l LOCALE
    Specify locale language (for example en or en_GB)

-n, --inspect
    Inspect metadata (requires exif & iptc plugin)

--no-save
    No save action required at the end

-r, --recursive
    Include all subfolders

-t, --trust
    Do not check images first

--unsafe
    Allow Geek action and unsafe expressions

-v, --verbose
    Verbose

EXAMPLES

phatch action_list.phatch

phatch --verbose --recursive action_list.py image_file.png image_folder

phatch --inspect image_file.jpg

phatch --droplet recent

phatch -l el

AUTHOR
Stani (spe.stani.be (at) gmail.com)